SSL_GET_RBIO(3)

NAME
SSL_get_rbio, SSL_get_wbio - get BIO linked to an SSL object

SYNOPSIS
#include <openssl/ssl.h>
BIO *
SSL_get_rbio(SSL *ssl);
BIO *
SSL_get_wbio(SSL *ssl);

DESCRIPTION
SSL_get_rbio() and SSL_get_wbio() return pointers to the BIOs for the read or the write channel, which can be different. The reference count of the BIO is not incremented.

RETURN VALUES
The following return values can occur:

NULL
    No BIO was connected to the SSL object.

Any other pointer
    The BIO linked to ssl.

SEE ALSO
BIO_new(3), ssl(3), SSL_set_bio(3)

HISTORY
SSL_get_rbio() and SSL_get_wbio() first appeared in SSLeay 0.6.0 and have been available since OpenBSD 2.4.